<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.jumeirah.common.mapper.SysNoticeReadMapper">

        <!-- 通用查询结果列 -->
        <sql id="Base_Column_List">
        id, user_id, read
    </sql>

        <select id="getSysNoticeReadById" resultType="com.jumeirah.common.param.SysNoticeReadQueryVo">
            select
            <include refid="Base_Column_List"/>
            from sys_notice_read where id = #{id}
        </select>

        <select id="getSysNoticeReadPageList" parameterType="com.jumeirah.common.param.SysNoticeReadPageParam" resultType="com.jumeirah.common.param.SysNoticeReadQueryVo">
            select
            <include refid="Base_Column_List"/>
            from sys_notice_read
        </select>

</mapper>
